aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-07-31 12:41:05 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-07-31 12:41:05 +0000
commit05eec38aed3ecffa1cbd3fb9d50c62a77ba073d8 (patch)
tree5466140ae3eed7cde223f17951fa542096711737
parent084fbe61fa206586f66dcb25e64a3ed7fe836068 (diff)
downloadaports-1.9.0_alpha18.tar.gz
aports-1.9.0_alpha18.tar.bz2
aports-1.9.0_alpha18.tar.xz
main/alpine-conf: lbu remove packages.list if it existv1.9.0_alpha18
fixes #94
-rw-r--r--main/alpine-conf/0001-lbu-remove-packages.list-if-exist.patch43
-rw-r--r--main/alpine-conf/APKBUILD7
2 files changed, 48 insertions, 2 deletions
diff --git a/main/alpine-conf/0001-lbu-remove-packages.list-if-exist.patch b/main/alpine-conf/0001-lbu-remove-packages.list-if-exist.patch
new file mode 100644
index 0000000000..f7ce644d44
--- /dev/null
+++ b/main/alpine-conf/0001-lbu-remove-packages.list-if-exist.patch
@@ -0,0 +1,43 @@
+From fbe26c92439f4b4f19ee09ec07798a5bbaec0d77 Mon Sep 17 00:00:00 2001
+From: Natanael Copa <ncopa@alpinelinux.org>
+Date: Wed, 29 Jul 2009 19:30:36 +0000
+Subject: [PATCH] lbu: remove packages.list if exist
+
+fixes http://redmine.alpinelinux.org/issues/show/94
+---
+ lbu.in | 10 ++++++++--
+ 1 files changed, 8 insertions(+), 2 deletions(-)
+
+diff --git a/lbu.in b/lbu.in
+index 48e615e..b84682a 100644
+--- a/lbu.in
++++ b/lbu.in
+@@ -233,6 +233,12 @@ cmd_package() {
+ tmppkg="$tmpdir/$(basename $pkg)"
+
+ cd "${ROOT:-/}"
++ # remove old package.list
++ if [ -f etc/lbu/packages.list ] && [ -f var/lib/apk/world ]; then
++ echo "Note: Removing /etc/lbu/packages.list."
++ echo " /var/lib/apk/world will be used."
++ rm -f etc/lbu/packages.list
++ fi
+ currentlist=$(apk audit --backup -q)
+ if [ -f var/lib/apk/world ]; then
+ currentlist="$currentlist var/lib/apk/world"
+@@ -391,10 +397,10 @@ cmd_commit() {
+ }' | xargs rm 2>/dev/null
+
+ # remove obsolete file. some older version of alpine needs this
+- # to be ble to upgrade
++ # to be able to upgrade
+ if [ -z "$DRYRUN" ] && [ -f $mnt/packages.list ]; then
+ echo "Note: Removing packages.list from $(basename $mnt)."
+- echo " $PACKAGES_LIST will be used."
++ echo " /var/lib/apk/world will be used."
+ rm -f $mnt/packages.list
+ fi
+
+--
+1.6.3.3
+
diff --git a/main/alpine-conf/APKBUILD b/main/alpine-conf/APKBUILD
index 08e641d02b..46d5b9824c 100644
--- a/main/alpine-conf/APKBUILD
+++ b/main/alpine-conf/APKBUILD
@@ -1,16 +1,18 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=alpine-conf
pkgver=2.0_beta3
-pkgrel=0
+pkgrel=1
pkgdesc="Alpine configuration management scripts"
url=http://git.alpinelinux.org/cgit/$pkgname
depends="openrc"
source="http://git.alpinelinux.org/cgit/$pkgname/snapshot/$pkgname-$pkgver.tar.bz2
+ 0001-lbu-remove-packages.list-if-exist.patch
"
license="GPL-2"
build() {
cd "$srcdir/$pkgname-$pkgver"
+ patch -p1 -i ../0001-lbu-remove-packages.list-if-exist.patch || return 1
make || return 1
make install PREFIX= DESTDIR="$pkgdir"
@@ -18,4 +20,5 @@ build() {
ln -s lbu "$pkgdir"/sbin/lbu_$i
done
}
-md5sums="7786d6d526e96a3fdf51b9284d063caa alpine-conf-2.0_beta3.tar.bz2"
+md5sums="7786d6d526e96a3fdf51b9284d063caa alpine-conf-2.0_beta3.tar.bz2
+b09f9702fc6599fcb7d9bfbc855c8b5c 0001-lbu-remove-packages.list-if-exist.patch"